/*
 * -----------------------------------------------------------------------------
 * Lucom Interaction Platform
 * (C) Lucom GmbH, Erkrath. All rights reserved.
 *
 * $Id: form.css 28007 2021-12-13 15:02:44Z nicola $
 * -----------------------------------------------------------------------------
 */

 /* -------------------------------------------------------------------
	STYLES FOR THE FORM VIEW
   ---------------------------------------------------------------- */

/* --------------------------------------------------------- General form styles
*/

.hide-overflow-x {
	overflow-x: hidden;
}

.formBody {
	margin: 0;
	padding: 0;
	width: 100%;
	line-height: normal;
	background-color: #EEEEEE;
}

.formBody form {
	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	margin: 0;
	padding: 0;
	width: 100%;
	height: 100%;
}

/* ------------------------------------------------------------- header / footer
*/

.formBody header, .formBody footer {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 100%;
	z-index: 2000;
}

.formBody header, .formBody footer,
.formBody header *, .formBody footer * {
	box-sizing: border-box;
}

.formBody header.sticky,
.formBody header.dynamic {
	position: sticky;
	top: 0;
	left: 0;
}

.formBody footer {
	display: none;
}

.formBody footer.sticky {
	position: sticky;
	bottom: 0;
}

/* ----------------------------------------------------------------- formToolbar
*/

.formBody .stickyDynamicAnimation {
	transition-property: top,height;
	transition-duration: 0.5s;
	transition-timing-function: ease-in;
}

.formToolbar {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 8pt;
	font-style: normal;
	font-weight: normal;
	padding: 0;
	cursor: default;
	background-repeat: repeat-x;
}

.formToolbar.onStartPage{
	z-index: 0;
}

.formToolbar .content {
	height: 90px;
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: #FFFFFF;
}

.formToolbar .logo {
	margin-left: 0px;
	margin-right: 0px;
}

.formToolbar .logo .lip_companyLogoLink {
	height: 90px;
	display: flex;
	align-items: center;
}

.formToolbar .logo .lip_companyLogoLink > img {
	max-height: 100%;
	max-width: 165px;

	/* FFWS-9785 */
	border: solid 2px transparent;
	border-radius: 3px;
}

.formToolbar .logo .lip_companyLogoLink:focus{
	/* FFWS-9785 */
	outline: none;
}

.formToolbar .logo .lip_companyLogoLink:focus > img {
	/* FFWS-9785 */
	border: solid 2px #FFFFFF;
	box-shadow: 0 0 0 2px #000000;
	outline: none;
}

.formToolbar .buttonPanel {
	position: static;
	flex-grow: 1;
}

.formToolbar .buttonPanel .toolbar {
	flex-grow: 1;
}

.formToolbar .buttonPanel .toolbar .inner {
	height: 36px;
	flex-wrap: nowrap;
	list-style: none;
	padding: 0;
}

.formToolbar .button {
	background-color: transparent;
	border: none;
	margin: 0;
	padding: 1px;
	cursor: pointer;
	float: left;

	/* FFWS-9785 */
	border: solid 1px transparent;
	border-radius: 3px;
}

.formToolbar .button:focus{
	/* FFWS-9785 */
	border: solid 2px #FFFFFF;
	box-shadow: 0 0 0 2px #000000;
	outline: none;
	margin: -1px;
}

.formToolbar .textItem {
	border: none;
	margin: 0;
	padding: 0;
	float: left;
	background-color: #FFFFFF;
}

.formToolbar .text {
	padding: 0 5px;
	float: left;
	height: 36px;
}

.formToolbar .newInstance {
	float: left;
	color: #0077B6;
}

.formToolbar .modifiedInstance {
	float: left;
	color: #0000FF;
}

.formToolbar .lowerBarBorder {
	height: 6px;
	width: 100%;
	border-bottom: 1px solid #0077B6;
	background-color: #0077B6;
}

.formToolbar .lowerBarBorder #lip.loadingIndicator {
	color:white;
	visibility:hidden;
}


.formToolbar .buttonPanel .pageSelect {
	float: left;
	margin: 0;
	padding: 0;
	width: 70px;
	height: 32px;
	text-align: center;
}

.formToolbar .buttonPanel .pageSelect.named {
	width: 110px;
	text-align: left;
}

.formToolbar .buttonPanel .pageSelect.named .selectize-input .item {
	max-width: 85px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.formToolbar .buttonPanel .pageSelect .selectize-dropdown {
	height: auto;
}

.formToolbar .selectize-input {
	height: 32px;
	line-height: 24px;
	margin-top: 2px;
	border: 1px solid #CCCCCC;
}

.formToolbar .selectize-input > * {
	font-size: 12pt;
}

.formToolbar .sessionCountdown time {
	margin-right: 10px;
}

.formToolbar .sessionCountdown button {
	margin-left: -10px;
	margin-right: 10px;
	padding-top: 3px;
}

.formToolbar .sessionCountdown button:focus {
	/* FFWS-9785 */
	border: solid 2px #FFFFFF;
	box-shadow: 0 0 0 2px #000000;
	outline: none;
}

.formToolbar .sessionCountdown button:hover {
	filter: brightness(70%);
}

/* The horizontal stripe separating header from main content (simpleHeader.jsp only!) */
.formToolbar .headerSeparator {
	clear: both;
	height: 5px;
	background-color: #FFFFFF;
}

/* -------------------------------------------------------- formToolbar dropdown
*/

/* dropdown container */
.formToolbar .buttonPanel .dropdown {
	margin: 0px 0 0 -4px;
	list-style: none;
}

.formToolbar .buttonPanel .dropdown:after {
	content: '';
	display: block;
	clear: both;
}

/* dropdown Button */
.formToolbar .buttonPanel .dropdown .dropbtn {
	cursor: pointer;
	border: none;
	width: 12px;
	height: 30px;
	background-color: transparent;
	background-image: url(../../images/action/selector.png);
	background-repeat: no-repeat;
}

/* dropdown Content */
.formToolbar .buttonPanel .dropdown .dropdown-content {
	display: none;
	position: absolute;
	background-color: white;
	min-width: 160px;
	max-height: 200px;
	overflow-x: hidden;
	overflow-y: auto;
	box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
	z-index: 1;
}

.formToolbar .buttonPanel .dropdown ul.dropdown-content {
	list-style: none;
	margin: 0;
	padding: 0;
}

/* buttons inside the dropdown */
.formToolbar .buttonPanel .dropdown .dropdown-content button {
	background-color: transparent;
	color: black;
	margin: 0;
	padding: 12px 16px;
	text-decoration: none;
	display: block;
	border: none;
	width: 100%;
	text-align: left;
	cursor: pointer;
}

.formToolbar .buttonPanel .dropdown .dropdown-content button.focused,
.formToolbar .buttonPanel .dropdown .dropdown-content button:hover {
	background-color: #EEEEEE;
	outline: none;
}

.formToolbar .buttonPanel .dropdown .dropdown-content.show {
	display:block;
}

.formToolbar .buttonPanel li.currentZoom {
	padding: 0;
}

.formToolbar .buttonPanel li.currentZoom > span.currentZoom {
	opacity: 0;
}

/* ------------------------------------------------------------------- form-main
*/

.formBody .form-main {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: stretch;
	flex-wrap: nowrap;
	flex: 1 1 80vh;
	position: relative;
}

/* ------------------------------------------------------------------- side bars
*/

/* aside */

.formBody .form-main aside {
	width: 300px;
	opacity: 1;

	flex: 0 0 auto;

	display: flex;
	flex-direction: column;

	position: static;	/* IE */
	position: sticky;
	top: 0;
	z-index: 1001;

	border: none;
	background-color: white;
}

.formBody .form-main aside.widescreen {
	position: absolute;
	top: 0;
}

.formBody .form-main aside.closing,
.formBody .form-main aside.opening {
	animation-duration: .5s;
	animation-timing-function: linear;
}

.formBody .form-main aside.left.closing,
.formBody .form-main aside.left.opening {
	animation-name: left-sidebar-animation;
}

.formBody .form-main aside.right.closing,
.formBody .form-main aside.right.opening {
	animation-name: right-sidebar-animation;
}

.formBody .form-main aside.left.opening,
.formBody .form-main aside.right.closing {
	animation-direction: reverse;
}

@keyframes left-sidebar-animation {
	from {
		transform: translateX(0);
	}
	to {
		transform: translateX(-100%);
	}
}

@keyframes right-sidebar-animation {
	from {
		transform: translateX(100%);
	}
	to {
		transform: translateX(0);
	}
}

/* sticky-content */

.formBody .form-main aside .sticky-spacer {
	display: block;
	flex-grow: 1;
}

.formBody .form-main aside .sticky-content {
	box-sizing: border-box;
	width: 300px;
	position: fixed;	/* IE */
	position: sticky;

	overflow-y: auto;
	overflow-x: hidden;

	background-color: white;
}

/* left */

.formBody .form-main aside.left {
	transform: none;
	box-shadow: 1px 0px 6px 0px #CCCCCC;
	width: 300px;
}

.formBody .form-main aside.widescreen.left {
	top: 0;
	height: 100%;
}

.formBody .form-main aside.widescreen.left .sticky-spacer {
	display: none;
}

.formBody .form-main aside.left .sticky-content {
	top: 0;
	bottom: 0;
	min-height: auto;
	padding-top: 0;
	margin-top: 0;
	height: 100vh;
}

.formBody .form-main aside.widescreen.left .sticky-content {
	top: 0;
}

/* right */

.formBody .form-main aside.right {
	right: 0;
}

.formBody .form-main aside.right.closed {
	transform: translateX(100%);
}

.formBody .form-main aside.right {
	position: absolute;
	z-index: 1003;
	height: 100%;
	background-color: white;
	box-shadow: -1px 0px 6px 0px #CCCCCC;
}

.formBody .form-main aside.right .sticky-content {
	top: 0;
	bottom: 0;
	min-height: auto;
	padding-top: 0;
	margin-top: 0;
	height: 100vh;
}

/* visibility switcher */

.formBody .form-main .sidebar-visibility-switch {
	position: absolute;
	width: 0;
	height: 100%;
	left: 300px;
	z-index: 1002;
}

.formBody .form-main .sidebar-visibility-switch button {
	display: flex;
	justify-content: center;
	align-items: center;
	position: sticky;
	top: 0;
	transform: translate(-50%,23px);
	width: 28px;
	height: 28px;
	border: none;
	border-radius: 45px;
	border: 2px solid transparent;
	background-color: white;
	box-shadow: 2px 2px 4px #424242;
}

.formBody .form-main aside.hidden,
.formBody .form-main aside.collapsed,
.formBody .form-main .sidebar-visibility-switch.hidden,
.formBody .form-main .sidebar-visibility-switch [data-svg-icon].hidden {
	display: none;
}

.formBody .form-main .sidebar-visibility-switch button:hover,
.formBody .form-main .sidebar-visibility-switch button:focus,
.formBody .form-main .sidebar-visibility-switch button:active {
	border: 2px solid #424242;
	outline: none;
}

.formBody .form-main .sidebar-visibility-switch button span[data-svg-icon] {
	display: flex;
	justify-content: center;
	align-items: center;
}

.formBody .form-main .sidebar-visibility-switch svg {
	fill: #424242;
}

.formBody .form-main aside.left.hidden ~ .sidebar-visibility-switch {
	animation: none;
	left: 0;
}

.formBody .form-main aside.left.hidden ~ .sidebar-visibility-switch button {
	transform: translate(10px,23px);
}

.formBody .form-main aside.left.opening ~ .sidebar-visibility-switch,
.formBody .form-main aside.left.closing ~ .sidebar-visibility-switch {
	animation-duration: .5s;
	animation-timing-function: linear;
	animation-name: left-sidebar-switcher-animation;
}

.formBody .form-main aside.left.opening ~ .sidebar-visibility-switch {
	animation-direction: reverse;
}

@keyframes left-sidebar-switcher-animation {
	from {
		transform: translateX(-50%);
	}
	to {
		transform: translateX(-290px);
	}
}

/* IE fix/workaround */

/* IE10+ only */
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
	/* hide sticky-spacer in IE */
	.formBody .form-main aside.sticky .sticky-spacer {
		display: none;
	}
}


/* ------------------------------------------------------------------- formPanel
*/

.formBody .form-main .content {
	margin: 0 auto;
}

.formBody .form-main .inner-content {
	margin: 0;
	position: relative;
}

.formPanel .page h1.icon.formControl.formControlLabel,
.formPanel .page h2.icon.formControl.formControlLabel,
.formPanel .page h3.icon.formControl.formControlLabel,
.formPanel .page h4.icon.formControl.formControlLabel,
.formPanel .page h5.icon.formControl.formControlLabel,
.formPanel .page h6.icon.formControl.formControlLabel,
.formPanel .page div.componentWrapper.formControl.formControlLabel,
.formPanel .page label.formControl.formControlLabel {
	display: -ms-flexbox;
	display: flex;

	-ms-flex-direction: row;
	flex-direction: row;

	-ms-flex-wrap: none;
	flex-wrap: nowrap;

	-ms-flex-align: start;
	align-items: flex-start;

	-ms-flex-pack: start;
	justify-content: flex-start;
}

.formPanel .page h1.icon.icon-left.formControl.formControlLabel,
.formPanel .page h1.icon.icon-right.formControl.formControlLabel,
.formPanel .page h2.icon.icon-left.formControl.formControlLabel,
.formPanel .page h2.icon.icon-right.formControl.formControlLabel,
.formPanel .page h3.icon.icon-left.formControl.formControlLabel,
.formPanel .page h3.icon.icon-right.formControl.formControlLabel,
.formPanel .page h4.icon.icon-left.formControl.formControlLabel,
.formPanel .page h4.icon.icon-right.formControl.formControlLabel,
.formPanel .page h5.icon.icon-left.formControl.formControlLabel,
.formPanel .page h5.icon.icon-right.formControl.formControlLabel,
.formPanel .page h6.icon.icon-left.formControl.formControlLabel,
.formPanel .page h6.icon.icon-right.formControl.formControlLabel,
.formPanel .page label.icon.icon-left.formControl.formControlLabel,
.formPanel .page label.icon.icon-right.formControl.formControlLabel {
	align-items: center;
}

.formPanel .page h1.icon.icon-top.formControl.formControlLabel,
.formPanel .page h1.icon.icon-topLeft.formControl.formControlLabel,
.formPanel .page h1.icon.icon-topRight.formControl.formControlLabel,
.formPanel .page h1.icon.icon-bottom.formControl.formControlLabel,
.formPanel .page h1.icon.icon-bottomLeft.formControl.formControlLabel,
.formPanel .page h1.icon.icon-bottomRight.formControl.formControlLabel,
.formPanel .page h2.icon.icon-top.formControl.formControlLabel,
.formPanel .page h2.icon.icon-topLeft.formControl.formControlLabel,
.formPanel .page h2.icon.icon-topRight.formControl.formControlLabel,
.formPanel .page h2.icon.icon-bottom.formControl.formControlLabel,
.formPanel .page h2.icon.icon-bottomLeft.formControl.formControlLabel,
.formPanel .page h2.icon.icon-bottomRight.formControl.formControlLabel,
.formPanel .page h3.icon.icon-top.formControl.formControlLabel,
.formPanel .page h3.icon.icon-topLeft.formControl.formControlLabel,
.formPanel .page h3.icon.icon-topRight.formControl.formControlLabel,
.formPanel .page h3.icon.icon-bottom.formControl.formControlLabel,
.formPanel .page h3.icon.icon-bottomLeft.formControl.formControlLabel,
.formPanel .page h3.icon.icon-bottomRight.formControl.formControlLabel,
.formPanel .page h4.icon.icon-top.formControl.formControlLabel,
.formPanel .page h4.icon.icon-topLeft.formControl.formControlLabel,
.formPanel .page h4.icon.icon-topRight.formControl.formControlLabel,
.formPanel .page h4.icon.icon-bottom.formControl.formControlLabel,
.formPanel .page h4.icon.icon-bottomLeft.formControl.formControlLabel,
.formPanel .page h4.icon.icon-bottomRight.formControl.formControlLabel,
.formPanel .page h5.icon.icon-top.formControl.formControlLabel,
.formPanel .page h5.icon.icon-topLeft.formControl.formControlLabel,
.formPanel .page h5.icon.icon-topRight.formControl.formControlLabel,
.formPanel .page h5.icon.icon-bottom.formControl.formControlLabel,
.formPanel .page h5.icon.icon-bottomLeft.formControl.formControlLabel,
.formPanel .page h5.icon.icon-bottomRight.formControl.formControlLabel,
.formPanel .page h6.icon.icon-top.formControl.formControlLabel,
.formPanel .page h6.icon.icon-topLeft.formControl.formControlLabel,
.formPanel .page h6.icon.icon-topRight.formControl.formControlLabel,
.formPanel .page h6.icon.icon-bottom.formControl.formControlLabel,
.formPanel .page h6.icon.icon-bottomLeft.formControl.formControlLabel,
.formPanel .page h6.icon.icon-bottomRight.formControl.formControlLabel,
.formPanel .page label.icon.icon-top.formControl.formControlLabel,
.formPanel .page label.icon.icon-topLeft.formControl.formControlLabel,
.formPanel .page label.icon.icon-topRight.formControl.formControlLabel,
.formPanel .page label.icon.icon-bottom.formControl.formControlLabel,
.formPanel .page label.icon.icon-bottomLeft.formControl.formControlLabel,
.formPanel .page label.icon.icon-bottomRight.formControl.formControlLabel {
	flex-direction: column;
}

.formPanel {
	width: 100%;
	padding: 0;
	cursor: default;
}

#lip_ScrollArea {
	position:relative;
}

#lip_headerSegmentsContainer {
	margin: 0 auto;
}

#lip_headerSegments {
	position: relative;
}

form #lip_fixedTree {
	position: absolute;
	z-index:998;
	left: auto;
}

.formPanel .alert {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10pt;
	margin: 3px 3px 3px 21px;
	padding: 0;
	width: 95%;
	cursor: default;
	background-color: #F8BCBC;
}

.formPanel .alert .title {
	font-size: 10pt;
	font-weight: bold;
	padding: 3px;
	background-color: #C0003C;
	color: #FFFFFF;
}

.formPanel .alert .contents {
	padding: 5px;
}

.formPanel .alert a {
	color: #FFFFFF;
}

.formPanel .info {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10pt;
	margin: 3px 3px 3px 21px;
	padding: 0;
	width: 95%;
	cursor: default;
	background-color: #FFFFFF;
	border: 1px solid #000000;
}

.formPanel .info .title {
	font-size: 10pt;
	font-weight: bold;
	cursor: default;
	padding: 3px;
	${color:formPanel.info.title.background:"background-color: #;"}
	color: #FFFFFF;
}

.formPanel .info .contents {
	padding: 5px;
}

.formPanel .info a {
	color: #000000;
}

#lip_formBottomPadding {
	height: 10px;
}

.form .button {
	border: none;
	margin: 0;
	padding: 0;
	cursor: pointer;
	background-color: transparent;
}

/* --------------------------------------------------------------------- goToTop
*/

.formBody .goToTop {
	visibility: hidden;
	opacity: 0;
	position: sticky;
	margin-top: -40px;
	margin-left: auto;
	margin-right: 30px;
	bottom: 20px;
	height: 40px;
	width: 40px;
	content: '';
	background-image: url(../../images/goToTop.png);
	background-color: #808080;
	background-repeat: no-repeat;
	background-position: center;
	border-radius: 5px;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	cursor: pointer;
	z-index: 1011;
	transition-duration: 0.3s;
	transition-timing-function: ease-in;
}

.formBody .goToTop.fadeIn {
	transition-property: visibility, opacity;
	transition-duration: 0.3s;
	transition-timing-function: ease-in;
}

.formBody .goToTop.visible {
	visibility: visible;
	opacity: 1;

	/* FFWS-9785 */
	border: solid 2px transparent;
	border-radius: 3px;
}

.formBody .goToTop.visible:hover {
	filter: brightness(70%);
}

.formBody .goToTop.visible:focus {
	/* FFWS-9785 */
	border: solid 2px #FFFFFF;
	box-shadow: 0 0 0 2px #000000;
	outline: none;
}

/* ---------------------------------------------------------------- formset tree
*/

.formSetTree {
	margin: 11px 5px 20px 5px;
	overflow: hidden;
	min-height: 100px;
	font-size: 10pt;
	font-family: Arial, Verdana, sans-serif;
	color: #000000;
}

input.copy.copyInstance-input-padding{
	padding-left: 4px;
}

/* ------------------------------------------------------------- form components
*/

.form input.lookupOpener {
	position: absolute;
	z-index: 2;
	background-image: url(../../images/action/lookup.png);
	background-repeat: no-repeat;
	background-position: center;
	background-color: transparent;
	border: none;
	outline: none;
}

.form div.buttonWrapper,
.form div.lip_signatureWrapper {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	align-items: center;
	justify-content: flex-start;
	padding: 0;
	margin: 0;
}

.form div.buttonWrapper > .formControl:focus,
.form div.lip_signatureWrapper > .formControl:focus {
	outline: none;
}

.form div.lip_signatureWrapper {
	width: auto;
	height: auto;
}

.form div.buttonWrapper input.button.opener {
	flex-grow: 0;
	flex-shrink: 0;
	background-repeat: no-repeat;
	background-position: center;
	background-color: transparent;
	border: none;
	outline: none;
}

.form div.buttonWrapper input.button.opener:focus {
	border: none;
	outline: none;
}

.form div.buttonWrapper input.button.opener:active,
.form div.buttonWrapper input.button.opener:hover {
	border: none;
	outline: none;
}

.form input.datePickerOpener {
	background-image: url(../../images/action/datePicker.png);
}

.form ul[data-group-name] {
	list-style: none;
	padding: 0;
	margin: 0;
}

/* ---------------------------------------------------------- addSegmentInstance
*/

.ffw_addSegmentInstance .button.primary {
	position: absolute;
	left: 45px;
	top: 0;
	cursor: pointer;
	padding: 5px 15px 5px 45px;
	margin: 8px 0;
	background-color: #EEEEEE;
	border: 1px solid #CCCCCC;
	color: black;
	border-radius: 3px;
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;
	line-height: 20px;
	background-image: url(../../images/action/addSegmentInstance.png);
	background-repeat: no-repeat;
	background-position: 15px center;
}

.ffw_addSegmentInstance .button.primary:hover {
	background-color: #3D8700;
	color: white;
	background-image: url(../../images/action/addSegmentInstance_over.png);
}

/* ---------------------------------------------------------- components wrapper
*/
/* TODO von ButtonWrapper kopiert */

#lip_formBean .form div.formControl.componentWrapper {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	align-items: center;
	justify-content: flex-start;
	padding: 0;
}

#lip_formBean .form div.formControl.componentWrapper.column {
	flex-direction: column;
}

#lip_formBean .form div.componentWrapper > .formControl:focus {
	outline: none;
	box-shadow: none;
}

#lip_formBean .form div.componentWrapper input.button.opener,
.form div.componentWrapper button {
	flex-grow: 0;
	flex-shrink: 0;
	height: 100%;
	background-repeat: no-repeat;
	background-position: center;
	background-color: transparent;
	border: none;
	outline: none;
	cursor: pointer;
}

#lip_formBean .form div.componentWrapper input.button.opener:focus {
	border: none;
	outline: none;
}

#lip_formBean .form div.componentWrapper input.button.opener:active,
#lip_formBean .form div.componentWrapper input.button.opener:hover {
	border: none;
	outline: none;
}

.form div.componentWrapper button {
	flex-grow: 0;
	flex-shrink: 0;
	background-repeat: no-repeat;
	background-position: center;
	background-color: transparent;
	border: none;
	outline: none;
	padding: 0;
	box-sizing: content-box;
}

.form div.componentWrapper button:focus {
	border: none;
	outline: 1px solid #CCCCCC;
}

/* TODO ist noch nicht sauber - könnte auch input, div, etc. sein.
Außerdem muss button oben besser von diesem selektor differneziert werden */
#lip_formBean .form div.componentWrapper .formControl {
	font-style: inherit;
	font-variant: inherit;
	font-weight: inherit;
	font-size: inherit;
	font-family: inherit;
	color: inherit;
	background-color: inherit;
	direction: inherit;
	letter-spacing: inherit;
	text-align: inherit;
	text-decoration: inherit;
	text-indent: inherit;
	text-transform: inherit;
	vertical-align: inherit;
	white-space: inherit;
	word-spacing: inherit;
	border: none;
	border-radius: 0;
	padding: 0;
	margin: 0;
	overflow: inherit;
	cursor: inherit;

	position: relative;
	flex: 1 1 auto;
	width: 1%;
	min-width: 0;
	display: block;
}

#lip_formBean .form div.componentWrapper.column .formControl {
	width: unset;
}

#lip_formBean .ffw_invisible {
	position: absolute;
	left: -2000px;
	top: 0px;
	width: 1px;
	height: 1px;
	overflow: hidden;
}

/* ------------------------------------------------------------------- svg icons
*/

.form .lip_icon {
	-webkit-font-smoothing: antialiased;
	font-style: normal;
	font-variant: normal;
	text-rendering: auto;
	line-height: 1;
	display: flex;
	align-items: center;
	justify-content: center;
}

.form .lip_icon > span {
	display: block;
}


.form .lip_icon svg {
	height: 1em;
	width: 1em;
	fill: currentColor;
	display: block;
}

.form .lip_icon:is(:focus, :active, :hover) svg {
	height: 1em;
	width: 1em;
	fill: currentColor;
	display: block;
	border: 1px solid #0077B6;
}


.form .lip_icon .rotate-90 {
	transform: rotate(90deg);
}

.form .lip_icon .rotate-180 {
	transform: rotate(180deg);
}

.form .lip_icon .rotate-270 {
	transform: rotate(270deg);
}

.form .lip_icon .flip-horizontal {
	transform: scale(-1, 1);
}

.form .lip_icon .flip-vertical {
	transform: scale(1, -1);
}

.form .lip_icon .flip-both {
	transform: scale(-1, -1);
}

#lip_formBean .form div.icon-right-inline .icon-right-inline {
	flex-grow: 0;
	width: initial;
}

#lip_formBean .form div.icon-left-top .lip_icon,
#lip_formBean .form div.icon-right-top .lip_icon  {
	align-self: flex-start;
}

#lip_formBean .form div.icon-left-bottom .lip_icon,
#lip_formBean .form div.icon-right-bottom .lip_icon  {
	align-self: flex-end;
}



@keyframes spin {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

.form .lip_icon .spin {
	animation: spin 2s infinite linear;
}

.form .lip_icon .pulse {
	animation: spin 1s infinite steps(8);
}

/* -------------------------------------------------------------- segment groups
*/

.ffw_segmentGroup {
	margin-bottom: 40px;
	box-shadow: rgba(7, 21, 41, 0.1) 0 12px 32px 0;
}

/* --------------------------------------------------------- full width segments
*/

.formBody .ffw_fullWidthSegments.hidden {
	display: none;
}

.formBody .ffw_fullWidthSegments.sticky {
	position: sticky;
	z-index: 1010;
}

.formBody .ffw_fullWidthSegments.header.sticky {
	top: 0;
}

.formBody .ffw_fullWidthSegments.footer.sticky {
	bottom: 0;
}

/* --------------------------------------------------- segment validation errors
*/

.form .lip_error-notifications .lip_error-notifications-label {
	font-family: 'Open Sans', sans-serif;
	font-size: 16px;
	border-style: none;
	color: #000000;
	background-color: #faebe6;
	border-color: #faebe6;
}

.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_icon {
	font-size: 26px;
	height: auto;
	align-self: stretch;

	/* !important required to overwrite auto generated padding (icon area always styled as square, but we need a rectangle here) */
	padding: 20px 10px !important;

	color: #ffffff;
	background-color: #c83200;
}

#lip_formBean .form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label {
	padding: 20px;
}

.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label h1,
.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label h2,
.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label h3,
.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label h4,
.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label h5,
.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label h6 {
	margin-top: 0;
	font-size: 1em;
}

.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label ul {
	margin: 0;
}

.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label ul a {
	text-decoration: none;
	border: none;
	text-align: left;
	padding: 0;
	margin: 0;
	white-space: normal;
	overflow-wrap: anywhere;
	hyphens: auto;
	font-weight: normal;
	outline: none;
	color: #000000;
}

.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label ul a:hover,
.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label ul a:focus,
.form .lip_error-notifications div.componentWrapper.lip_error-notifications-label .lip_error-notifications-label ul a:active {
	text-decoration: underline;
}

/*
 * -----------------------------------------------------------------------------
 * Lucom Interaction Platform
 * (C) Lucom GmbH, Erkrath. All rights reserved.
 *
 * $Id: formControls.css 5092 2009-08-21 14:38:13Z marc $
 * -----------------------------------------------------------------------------
 */

/* --------------------------------------------- Default styles for all controls
 */

/*
 * Only valid in browser, will not be used in PDF, s. below
 */
a.formControl,
fieldset.formControl,
select.formControl,
img.formControl,
input.formControl,
div.formControl,
textarea.formControl {
	line-height: normal;
}

/*
 * let controls within wrappers (e.g. DatePicker) inherit styles from their
 * wrappers
 */
div.buttonWrapper a.formControl,
div.buttonWrapper fieldset.formControl,
div.buttonWrapper select.formControl,
div.buttonWrapper img.formControl,
div.buttonWrapper input.formControl,
div.buttonWrapper div.formControl,
div.buttonWrapper textarea.formControl,
div.buttonWrapper .formControl {
	/* FONT */
	font: inherit;
	color: inherit;

	/* TEXT PROPERTIES */
	direction: inherit;
	letter-spacing: inherit;
	text-align: inherit;
	text-decoration: inherit;
	text-indent: inherit;
	text-transform: inherit;
	vertical-align: inherit;
	white-space: inherit;
	word-spacing: inherit;

	/* MISC */
	cursor: inherit;
}

/*
 * The class selector without html tag is needed by PDF Renderer!
 */
a.formControl,
fieldset.formControl,
select.formControl,
img.formControl,
input.formControl,
div.formControl,
textarea.formControl,
.formControl {

	/* FONT */
	font-style: normal;
	font-variant: normal;
	font-weight: normal;
	font-size: 12pt;
	font-family: Arial;
	color: 	black;

	/* BACKGROUND */
	background-color: transparent;

	/* TEXT PROPERTIES */
	direction: ltr;
	letter-spacing: 0px;
	text-align: left;
	text-decoration: none;
	text-indent: 0%;
	text-transform: none;
	vertical-align: baseline;
	white-space: normal;
	word-spacing: 0px;

	/* BOX PROPERTIES */
	border-style: none;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	padding: 0;
	margin: 0;

	/* MULTILINE OPTIONS */
	overflow: auto;

	/* MISC */
	cursor: auto;
}

/* Styles for label controls */

a.formControlLabel,
fieldset.formControlLabel,
div.formControlLabel,
.formControlLabel {
}

fieldset.formControlLabel {
	padding: 0;
	margin: 0;
}

fieldset.formControlLabel > legend:not(.invisible) {
	margin-left: 2px;
}

/* Styles for text controls */

a.formControlText,
select.formControlText,
img.formControlText,
input.formControlText,
div.formControlText,
.formControlText {
	overflow: hidden;
}

/* Styles for multiline text controls */

textarea.formControlMultilineText,
div.formControlMultilineText,
.formControlMultilineText {
	word-wrap: break-word;      /* IE 5.5-7 */
	white-space: -moz-pre-wrap; /* Firefox 1.0-2.0 */
	white-space: pre-wrap;      /* current browsers */
}

/* Styles for signature controls */

a.formControlSignature,
select.formControlSignature,
img.formControlSignature,
input.formControlSignature,
div.formControlSignature,
.formControlSignature {
	overflow: hidden;
}

.signatureIcon {
	font-size: 25px !important;
	padding-left: 6px;
	padding-right: 6px;
}

.signatureIcon.sign {
	color: #004B76 !important;;
}

.signatureIcon.unsign {
	color: #808080 !important;
}

.tooltip.signButton {
	cursor: pointer;
	transition: opacity 300ms ease-in, visibility 0s ease-in 300ms;
}

.tooltip.signButton:not(.tooltip-visible) {
	visibility: hidden;
	opacity: 0;
}

.tooltip.signButton.tooltip-visible {
	opacity: 1;
	visibility: visible;
}


.tooltip.signButton::before {
	display: none;
}

.tooltip.signButton::after {
	display: none;
}

.tooltip.signButton .icon {
	left: initial;
	right: 0;
}

.tooltip.signButton .icon.sign {
	background-image: url(../../images/svg/signature-sign-white.svg);
}

.tooltip.signButton .icon.unsign {
	background-image: url(../../images/svg/signature-unsign-white.svg);
}

.tooltip.signButton .body  {
	padding: 7px 55px 7px 15px;
}


/* Styles for checkbox controls */

input.formControlCheckbox,
.formControlCheckbox {
}

/* Styles for button controls */

a.formControlButton,
img.formControlButton,
input.formControlButton,
.formControlButton {
	background-color: #0077B6;
	border-color: #0077B6;
	border-style: outset;
	border-width: 1px;
	text-align: center;
	overflow: hidden;
}


/* Styles for image controls */

div.formControlImage,
img.formControlImage,
.formControlImage {
}

/* Styles for link controls */

a.formControlLink,
.formControlLink {
	color: #0077B6;
	text-decoration: underline;
	cursor: pointer;
}

a.formControlLink:visited,
.formControlLink:visited {
	color: #0077B6;
	text-decoration: underline;
	cursor: pointer;
}

a.formControlLink:focus,
.formControlLink:focus {
	color: #0077B6;
	text-decoration: underline;
	cursor: pointer;
}

a.formControlLink:hover,
.formControlLink:hover {
	color: #0077B6;
	text-decoration: underline;
	cursor: pointer;
}

a.formControlLink:active,
.formControlLink:active {
	color: #EE1111;
	text-decoration: none;
	cursor: pointer;
}

.formControl:focus {
	outline: none;
	border: none;
	box-shadow: none;
}

.ffw_focussed.componentWrapper > input.formControl {
	background-color: transparent !important;
}

